[needs-packaging] HandBrake

Reported by Arthur Loiret on 2007-04-11
292
This bug affects 48 people
Affects Status Importance Assigned to Milestone
Baltix
Medium
Mantas Kriaučiūnas
Debian
Fix Released
Unknown
Ubuntu
Wishlist
Unassigned

Bug Description

HandBrake is an open-source, GPL-licensed, multiplatform, multithreaded video transcoder, available for MacOS X, Linux and Windows.

URL: http://handbrake.fr/
License: GPL

The Debian Bug watch claims that there is a "Fix Released" in Debian.
Accepted 0.9.8+dfsg1-1~19.gbpc8b9ba in experimental

Adam Sunderland (iterion) wrote :

I'm interested in learning to package for Ubuntu, would anyone be willing to help me out in packaging this?

Michael R. Head (burner) wrote :

Any progress?

James Clemence (jvc26) wrote :

Any new news, would be happy to do the same
Il

Adam Sunderland (iterion) wrote :

I'm working on this. First attempt works, but not gracefully as it uses wget to download libraries.

I'll be removing this dependence before uploading it to REVU.

Adam

James Clemence (jvc26) wrote :

Good work :)
Il

Im doing it from source, as a alternative to binary package in REVU. May i upload it today or tomorrow.

Preview package sent to REVU.

James Clemence (jvc26) wrote :

Can you post the REVU link?

Cheers,

Il

The Information from duplicate 269448 follows (note newer URL for the Handbrake project)

Please feel freely welcome to use any/all of this info to provide more information for this program's brief.
======================

Summary: [needs-packaging] Handbrake - DVD to MPEG-4 converter , multiplatform, multithreaded

URL:
http://handbrake.fr/

Description:
HandBrake is a multiplatform, multithreaded DVD to MPEG-4 converter, available for MacOS X, Linux and Windows.

Supported sources:
    * Any DVD-like source: VIDEO_TS folder, DVD image or real DVD (encrypted or unencrypted, but protection methods other than CSS are not supported and must be handled externally with third-party software), and some .VOB and .TS files
    * PAL or NTSC
    * AC-3, DTS, LPCM or MPEG audio tracks

Outputs:
    * File format: MP4, MKV, AVI or OGM
    * Video: MPEG-4 or H.264 (1 or 2 passes or constant quantizer/rate encoding)
    * Audio: AAC, MP3, Vorbis or AC-3 pass-through (supports encoding of several audio tracks)

Misc features:
    * Chapter selection
    * Basic subtitle support (burned into the picture)
    * Integrated bitrate calculator
    * Picture deinterlacing, cropping and scaling
    * Grayscale encoding

License: GPL

Notes:]
Please make versions for most cpu types (e.g. i386, AMD64, and others), and currently supported Ubuntu versions.

=======================

Tags : converter dvd mpeg multiplatform needs-packaging video

=======================

Please add any of the above information you like, to this package request.
This will help people have more idea about what the program is able to do.
Tags are useful for searching on topics.
A name that carries a small summary of the program function is more meaningful than just a program name, which may give no indication about what the program does.

Screen shots available at http://handbrake.fr/?article=screenshots
for example - http://handbrake.fr/site/images/screenshots/Main_Window.png

I had a look around for Revu, and found the following ;

http://revu.ubuntuwire.com/details.py?upid=2490
which was referred to by http://lists.ubuntuwire.com/pipermail/motu-reviewers/2008-June/000429.html
and contains the statement ;

"
  Comments for upload from May 04 05:10 (debdiff)
MOTU May 04 23:33 superm1
I do appreciate an attempt being made at getting this application in, but it’s much more preferred to submit it in it’s source form (especially since it is openly available). I know it has an ugly/nonstandard build system, but that will have to be worked around.
"

James Clemence (jvc26) wrote :

Cheers for the pointer Tree MendUs :)

Looks like there are still outstanding issues: is there still active progress being made or has this one been put on the backburner?

Il

Em Thursday 25 September 2008 05:34:52 Illuvator escreveu:
> Cheers for the pointer Tree MendUs :)
>
> Looks like there are still outstanding issues: is there still active
> progress being made or has this one been put on the backburner?
>
> Il

The problem to package it is handbrake compiles FFMPEG and a lot of another
libraries existents on Ubuntu with own patches (and big patches) and create a
monolithic binary. The build process (jam) downloads EVERY package from
internet, and a limitation of build machines is no internet access, so is
needed a way to leave all sources it downloaded in some place, and this will
require a Jamfile patch too. Its too hard to do when you get out of time.

Ive sent the last package to REVU. If someone have ideas, please send it :]

--
Leonardo Amaral - Administrador de Sistemas Linux
Tel: 31 8432-5025 / 31 4062-7411
Cerificado LPIC-1 LPI000106747

"Eu gosto das cousas. As cousas sim!
As pessoas atrapalham. Estão em toda parte.
Multiplicam-se em excesso. As cousas são quietas.
Bastam-se. Não se metem com ninguém. E não exigem nada.
Apenas que não as tirem do lugar onde estão." - Mario Quintana

Hi Leonardo,

Where is the Revu location that you sent it to?

Sorry if the location thta i found was incorrect at
http://revu.ubuntuwire.com/details.py?upid=2490

Em Friday 26 September 2008 00:29:14 Tree MendUs escreveu:
> Hi Leonardo,
>
> Where is the Revu location that you sent it to?
>
> Sorry if the location thta i found was incorrect at
> http://revu.ubuntuwire.com/details.py?upid=2490

This link is correct!

--
Leonardo Amaral - Administrador de Sistemas Linux
Tel: 31 8432-5025 / 31 4062-7411
Cerificado LPIC-1 LPI000106747

"Eu gosto das cousas. As cousas sim!
As pessoas atrapalham. Estão em toda parte.
Multiplicam-se em excesso. As cousas são quietas.
Bastam-se. Não se metem com ninguém. E não exigem nada.
Apenas que não as tirem do lugar onde estão." - Mario Quintana

James Clemence (jvc26) wrote :

Hi Leonardo, cheers for the update, when I have a moment I'll put my mind to it to think about possible methods for correcting the issues. Cheers for the work you've done so far,

Il

Em Saturday 27 September 2008 11:10:00 Illuvator escreveu:
> Hi Leonardo, cheers for the update, when I have a moment I'll put my
> mind to it to think about possible methods for correcting the issues.
> Cheers for the work you've done so far,
>
> Il

Its very nice have someone thinking together with me. Ubuntu-MOTUs said to me
find someway to put all distfiles into the orig.tar.gz (I really dont know
how to do). Ive thinked too create a uuencode file and apply in compilation
time. Need to find the best suitable method. This is the cause i dont
developing now (I dont found a way to solve this *WOP*).

WOP = Workarround Oriented Programming :p

--
Leonardo Amaral - Administrador de Sistemas Linux
Tel: 31 8432-5025 / 31 4062-7411
Cerificado LPIC-1 LPI000106747

"Eu gosto das cousas. As cousas sim!
As pessoas atrapalham. Estão em toda parte.
Multiplicam-se em excesso. As cousas são quietas.
Bastam-se. Não se metem com ninguém. E não exigem nada.
Apenas que não as tirem do lugar onde estão." - Mario Quintana

James Lee (james-lee) wrote :

Note that Handbrake have now released a new version, 0.9.3, which features a native GTK Linux GUI as well as Ubuntu .deb packages.

The latest Handbrake should be packaged, presumably leveraging the work done for the existing official .deb packages.

Paul Gevers (paul-climbing) wrote :

Although the bug status above for Debian says that it is fixed, there is no handbrake package in Debian. The bug was merely closed because the submitter found some other package to do the job.
Quote:
"""
Yes. I found ogmrip significantly easier to use, and it also doesn't
require major surgery to make it suitable for packaging. Christian
Marillat already has packages of ogmrip on debian-multimedia.

I no longer have any need for handbrake packages, so I'll close this RFP
with this mail. If anyone else wants handbrake, they can reopen the RFP
and set themselves as the submitter.
"""

kernel_script (kernelscript) wrote :

I updated a description, and the current and correct HandBrake Homepage URL.

Thanks Savvas Radevic for your report/tip : ]

description: updated
PauLoX (paulox) wrote :

Why it's not in the official repository for ubuntu 9.10?

Alexander Pokluda (apokluda) wrote :

I just discovered this great program! I installed the package for Ubuntu 8.10 from the HandBrake website on Jaunty and so far so good! I've already converted a couple videos. I would love to see this app in the official repositories.

Corey B. (cbodendein) wrote :

I also would like this program in the official repos.

I think is a bit hard to put it on oficial repos because the package
isnt allowed to get packages from internet, so a patch containing all
dependencies or a patch to make handbrake detect system libraries is a
must to (I think the last option isnt reliable because Handbrake apply
patches to vanilla branch of ffmpeg and libavcodec to increase ipod
compatibility). Anyway, im trying to find a way to make a patch to this.

Corey B. escreveu:
> I also would like this program in the official repos.
>
>

--
Leonardo Amaral - Administrador de Sistemas Linux
Cerificado LPIC-2 LPI000106747 (Verificador hgwxf77vau)
Tel: +55 31 8542-7467 / +55 31 4062-7411
--
Leonardo Amaral - Linux System Administrator
LPI ID: LPI000106747 Level 2 certified (Verifier hgwxf77vau)
Tel: +55 31 8542-7467 / +55 31 4062-7411

Michael Nagel (nailor) on 2010-06-02
description: updated
Changed in ubuntu:
assignee: Adam Sunderland (iterion) → nobody
status: In Progress → Confirmed
Jonathan Marsden (jmarsden) wrote :

ogmrip is already in universe. It performs a similar role to Handbrake.

Packaging Handbrake so it does not need Internet access at build time will be significant work, and require (I suspect) some ongoing packaging maintenance to keep current (when upstream picks up a new version of some library, Ubuntu packaging needs to change to match...).

Until someone with the packaging skills and time commitment to ongoing maintenance of Handbrake packages for Debian/Ubuntu steps forward, Handbrake seems to me to be unlikely to be officially packaged. It's build system is fundamentally at odds with the Debian/Ubuntu build model.

landroni (landroni) wrote :

Would it help that debian-multimedia already provides Handbrake packages in its repo?

http://debian-multimedia.org/pool/main/h/handbrake/handbrake.php

landroni (landroni) wrote :

Two more comments:
- there's is also a ppa repo for handbrake, but unfortunately without the GTK version and a bit dated
https://launchpad.net/~handbrake-ubuntu/+archive/ppa
- ogmrip is not a perfect substitute. It is OK for dealing with DVD sources, but it cannot handle simple multimedia files as inputs: one cannot use it to transcode a video file to another format/codec

landroni (landroni) wrote :

Sorry for so much spam. The ppa repo actually contains the GTK package, but no packages for 10.10
https://launchpad.net/~handbrake-ubuntu/+archive/ppa/+packages

Changed in debian:
status: Fix Released → New
Carlos Silva (r3pek) wrote :

Just to let everyone know, the package in stebbins ppa has versions to 11.04 too (and it works)

MestreLion (mestrelion) wrote :

@Carlos Silva: Handbrake's official PPA at https://launchpad.net/~stebbins/+archive/handbrake-releases still misses an Oneiric and Precise package. Oneiric is out for 3 months now, I wonder if that archive is inactive?

@MestreLion, i think GHB devels just prefers svn versions instead stable. See

root@scrat:~# apt-cache policy handbrake-gtk
handbrake-gtk:
  Instalado: 4424svnppa1~oneiric1
  Candidato: 4424svnppa1~oneiric1
  Tabela de versão:
 *** 4424svnppa1~oneiric1 0
        990 http://ppa.launchpad.net/stebbins/handbrake-snapshots/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
root@scrat:~#

papukaija (papukaija) on 2012-06-05
tags: removed: handbrake
Changed in baltix:
status: New → Confirmed
Shreepad S (shreepads) wrote :

Handbrake absolutely must be in the official repositories, or in the partner ones at least...

The need to go to a PPA should not exist.

Changed in debian:
status: New → Fix Released
Frans van Berckel (fberckel) wrote :

[2012-10-03] Accepted handbrake 0.9.8+dfsg1-1~19.gbpc8b9ba in Debian Experimental.
All the good work is done by Rogério Brito & Reinhard Tartler.

This is an almost complete rework of the packaging included in previous iterations of handbrake. This changelog reflects only a
fraction of the work that went into make it suitable for Debian and involved the work of many people. For the complete list of changes, we kindly refer you to the git repository for all the details.

http://packages.qa.debian.org/h/handbrake.html

Please package Ubuntu now.

description: updated
Frans van Berckel (fberckel) wrote :

In Git they merged 'upstream' branch to debian/0.9.8+dfsg1-1_19.gbpc8b9ba, removed ccache from build-depends, added libdvdread4 to recommends, added man pages, added dbg package & fixed debian/watch.

I understand that this package is in debian, from the bottom of this page:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456165

So when will it come to Ubuntu?

tags: added: raring
Paul Gevers (paul-climbing) wrote :

On 02-02-13 09:19, Lonnie Lee Best wrote:
> I understand that this package is in debian, from the bottom of this page:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456165
>
> So when will it come to Ubuntu?

I will investigate (the package is in experimental, not unstable),
hopefully tomorrow, and if appropriate, I will file a sync request.

Paul

Hi.

On Feb 02 2013, Paul Gevers wrote:
> On 02-02-13 09:19, Lonnie Lee Best wrote:
> > I understand that this package is in debian, from the bottom of this page:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456165
> >
> > So when will it come to Ubuntu?
>
> I will investigate (the package is in experimental, not unstable),

The only reason why it was uploaded to experimental is that we didn't want
to disrupt with Debian's freeze for the release of wheezy.

> hopefully tomorrow, and if appropriate, I will file a sync request.

Just for the record, the package is with reduced functionality, due to
license reasons:

* No faac support (faac is non-free).
* No ability to generate MP4 files, only MKV, as mp4v2 can't be mixed with
  the GPL.

I would appreciate any help to get these fixed or worked around. Potential
solutions:

* Use dlopen for faac.
* Use libav for generation of MP4 files.

Any kind of help is mostly appreciated, especially when talking to upstream
and:

* pushing the lots of patches that they have accumulated to other projects.
* getting newer snapshots of handbrake to be packaged.

This is not a package that is so trivial to make available on a distribution
and I have spent many weeks trying to get it to a point where it was able to
be included in Debian.

Regards,

--
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br

Paul Gevers (paul-climbing) wrote :

On 02-02-13 12:31, Rogério Theodoro de Brito wrote:
> The only reason why it was uploaded to experimental is that we didn't want
> to disrupt with Debian's freeze for the release of wheezy.

Ok, understood. Does this mean that a sync request for Ubuntu is "safe".

> Just for the record, the package is with reduced functionality, due to
> license reasons:

Understood, but as Ubuntu follows Debian if nobody put in the time to do
something different, I think that is 100% acceptable.

> Any kind of help is mostly appreciated, especially when talking to upstream
> and:

> This is not a package that is so trivial to make available on a distribution
> and I have spent many weeks trying to get it to a point where it was able to
> be included in Debian.

I am currently working on getting an other project (openmotif) in shape
for Debian. After that I might have the time to help if it is then still
needed.

Paul

Hi, Paul.

(I'm CC'ing pkg-multimedia-maintainers, as there are many people there
interested in handbrake---and they have done a lot to help me getting
handbrake in shape in Debian).

On Feb 03 2013, Paul Gevers wrote:
> On 02-02-13 12:31, Rogério Theodoro de Brito wrote:
> > The only reason why it was uploaded to experimental is that we didn't want
> > to disrupt with Debian's freeze for the release of wheezy.
>
> Ok, understood. Does this mean that a sync request for Ubuntu is "safe".

Yes, it is. Just be sure to make it clear to the users (perhaps updating the
package's long description) that the package does not have the two features
that I cited due to sad licensing reasons.

Of course, those that only use things will curse and moan, but they don't
know how it is to get these things straight.

> > Just for the record, the package is with reduced functionality, due to
> > license reasons:
>
> Understood, but as Ubuntu follows Debian if nobody put in the time to do
> something different, I think that is 100% acceptable.

OK, great.

> > Any kind of help is mostly appreciated, especially when talking to upstream
> > and:
>
> > This is not a package that is so trivial to make available on a distribution
> > and I have spent many weeks trying to get it to a point where it was able to
> > be included in Debian.
>
> I am currently working on getting an other project (openmotif) in shape
> for Debian. After that I might have the time to help if it is then still
> needed.

Help is surely wanted. I am more or less stagnated with this, because I have
not been able to put the necessary time to talk with upstream.

Convincing them to cut a new stable release would be superb, as:

1 - They have some important features there (e.g., bob deinterlacing, a lot
    of work fixing subtitles etc).

*and*

2 - It would make packaging significantly easier, as they are churning out
    new patches to third-party libraries that we already have in Debian (but
    not necessarity in patched form), and it would take coordination with
    maintainers of other packages, so that we all have compatible stuff.

From handbrake's point of view, it is certainly the faster route to continue
the development patching the libraries that they need (and bundle such
libraries), but it is a major burden for distributions that want to have
handbrake available in their repositories.

More frequent releases from their part would be so much appreciated.

Regards,

--
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br

Paul Gevers (paul-climbing) wrote :

On 03-02-13 09:51, Rogério Theodoro de Brito wrote:
> Hi, Paul.
>
> (I'm CC'ing pkg-multimedia-maintainers, as there are many people there
> interested in handbrake---and they have done a lot to help me getting
> handbrake in shape in Debian).

[I think you forgot to actually add the CC, doing it now.]

> On Feb 03 2013, Paul Gevers wrote:
>> On 02-02-13 12:31, Rogério Theodoro de Brito wrote:
>>> The only reason why it was uploaded to experimental is that we didn't want
>>> to disrupt with Debian's freeze for the release of wheezy.
>>
>> Ok, understood. Does this mean that a sync request for Ubuntu is "safe".
>
> Yes, it is. Just be sure to make it clear to the users (perhaps updating the
> package's long description) that the package does not have the two features
> that I cited due to sad licensing reasons.

I would just ask for a SYNC, which means that the description is taken
over as it is now in Debian. Don't you think the Debian users would want
this warning as well, so that it warrants an update there?

> Of course, those that only use things will curse and moan, but they don't
> know how it is to get these things straight.

Fully ACK. I have been involved in those kind of discussions before.

>>> Just for the record, the package is with reduced functionality, due to
>>> license reasons:
>>
>> Understood, but as Ubuntu follows Debian if nobody put in the time to do
>> something different, I think that is 100% acceptable.
>
> OK, great.
>
>>> Any kind of help is mostly appreciated, especially when talking to upstream
>>> and:
>>
>>> This is not a package that is so trivial to make available on a distribution
>>> and I have spent many weeks trying to get it to a point where it was able to
>>> be included in Debian.
>>
>> I am currently working on getting an other project (openmotif) in shape
>> for Debian. After that I might have the time to help if it is then still
>> needed.
>
> Help is surely wanted. I am more or less stagnated with this, because I have
> not been able to put the necessary time to talk with upstream.
>
> Convincing them to cut a new stable release would be superb, as:
>
> 1 - They have some important features there (e.g., bob deinterlacing, a lot
> of work fixing subtitles etc).
>
> *and*
>
> 2 - It would make packaging significantly easier, as they are churning out
> new patches to third-party libraries that we already have in Debian (but
> not necessarity in patched form), and it would take coordination with
> maintainers of other packages, so that we all have compatible stuff.
>
>>From handbrake's point of view, it is certainly the faster route to continue
> the development patching the libraries that they need (and bundle such
> libraries), but it is a major burden for distributions that want to have
> handbrake available in their repositories.
>
> More frequent releases from their part would be so much appreciated.

I understand. So you are basically saying that so far Handbrake upstream
has not seen much interest in being nice to distributions? Shame on them
then, or is it just that they don't know but are willing to learn?

Paul

Reinhard Tartler (siretart) wrote :
Download full text (3.7 KiB)

On Sun, Feb 3, 2013 at 10:15 AM, Paul Gevers <email address hidden> wrote:
> On 03-02-13 09:51, Rogério Theodoro de Brito wrote:
>> Hi, Paul.
>>
>> (I'm CC'ing pkg-multimedia-maintainers, as there are many people there
>> interested in handbrake---and they have done a lot to help me getting
>> handbrake in shape in Debian).
>
> [I think you forgot to actually add the CC, doing it now.]
>
>> On Feb 03 2013, Paul Gevers wrote:
>>> On 02-02-13 12:31, Rogério Theodoro de Brito wrote:
>>>> The only reason why it was uploaded to experimental is that we didn't want
>>>> to disrupt with Debian's freeze for the release of wheezy.
>>>
>>> Ok, understood. Does this mean that a sync request for Ubuntu is "safe".
>>
>> Yes, it is. Just be sure to make it clear to the users (perhaps updating the
>> package's long description) that the package does not have the two features
>> that I cited due to sad licensing reasons.
>
> I would just ask for a SYNC, which means that the description is taken
> over as it is now in Debian. Don't you think the Debian users would want
> this warning as well, so that it warrants an update there?

Yes, please file a bug so that we do not forget about that.

>
>> Of course, those that only use things will curse and moan, but they don't
>> know how it is to get these things straight.
>
> Fully ACK. I have been involved in those kind of discussions before.
>
>>>> Just for the record, the package is with reduced functionality, due to
>>>> license reasons:
>>>
>>> Understood, but as Ubuntu follows Debian if nobody put in the time to do
>>> something different, I think that is 100% acceptable.
>>
>> OK, great.
>>
>>>> Any kind of help is mostly appreciated, especially when talking to upstream
>>>> and:
>>>
>>>> This is not a package that is so trivial to make available on a distribution
>>>> and I have spent many weeks trying to get it to a point where it was able to
>>>> be included in Debian.
>>>
>>> I am currently working on getting an other project (openmotif) in shape
>>> for Debian. After that I might have the time to help if it is then still
>>> needed.
>>
>> Help is surely wanted. I am more or less stagnated with this, because I have
>> not been able to put the necessary time to talk with upstream.
>>
>> Convincing them to cut a new stable release would be superb, as:
>>
>> 1 - They have some important features there (e.g., bob deinterlacing, a lot
>> of work fixing subtitles etc).
>>
>> *and*
>>
>> 2 - It would make packaging significantly easier, as they are churning out
>> new patches to third-party libraries that we already have in Debian (but
>> not necessarity in patched form), and it would take coordination with
>> maintainers of other packages, so that we all have compatible stuff.
>>
>>>From handbrake's point of view, it is certainly the faster route to continue
>> the development patching the libraries that they need (and bundle such
>> libraries), but it is a major burden for distributions that want to have
>> handbrake available in their repositories.
>>
>> More frequent releases from their part would be so much appreciated.
>
> I understand. So you are basically saying that so far Handbrake upstream
>...

Read more...

Paul Gevers (paul-climbing) wrote :

Handbrake got commited to raring-proposed several hours ago. Please see bug 1114173.

Changed in ubuntu:
status: Confirmed → Fix Committed
Vincent Tschanz (fogia) wrote :

> Handbrake got commited to raring-proposed several hours ago.

Still not available in 13.10. Any news about this?

Reinhard Tartler (siretart) wrote :

Handbrake requires libav9, and possibly some others upgraded. We'll try to
have everything in place for trusty.

Changed in baltix:
importance: Undecided → Medium
assignee: nobody → Mantas Kriaučiūnas (mantas)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.